## erlang-cowboy 0.6.1

=== Makefile ===
# See LICENSE for licensing information.

PROJECT = cowboy

DIALYZER = dialyzer
REBAR = rebar

all: app

# Application.

deps:
	@$(REBAR) get-deps

app: deps
	@$(REBAR) compile

clean:
	@$(REBAR) clean
	rm -f test/*.beam
	rm -f erl_crash.dump

docs: clean-docs
	@$(REBAR) doc skip_deps=true

clean-docs:
	rm -f doc/*.css
	rm -f doc/*.html
	rm -f doc/*.png
	rm -f doc/edoc-info

# Tests.

deps/proper:
	@$(REBAR) -C rebar.tests.config get-deps
	cd deps/proper && $(REBAR) compile

tests: clean deps/proper app eunit ct

inttests: clean deps/proper app eunit intct

eunit:
	@$(REBAR) -C rebar.tests.config eunit skip_deps=true

ct:
	@$(REBAR) -C rebar.tests.config ct skip_deps=true suites=http,proper,ws

intct:
	@$(REBAR) -C rebar.tests.config ct skip_deps=true suites=http,proper,ws,autobahn

# Dialyzer.

build-plt:
	@$(DIALYZER) --build_plt --output_plt .$(PROJECT).plt \
		--apps kernel stdlib sasl inets crypto public_key ssl

dialyze:
	@$(DIALYZER) --src src --plt .$(PROJECT).plt --no_native \
		-Werror_handling -Wrace_conditions -Wunmatched_returns # -Wunderspecs

=== debian/changelog ===
erlang-cowboy (0.6.1-4) unstable; urgency=low

  * Add erlang-dialyzer to Build-Depends. (Closes: #713505)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 16 Jul 2013 17:33:13 +0900

erlang-cowboy (0.6.1-3) unstable; urgency=low

  * Fix FTBFS: tests failed (Closes: #713505)
    - Change test target from tests to eunit. 
    - Add patches/0003-Ignore-warning.patch.
  * Add watch file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 16 Jul 2013 12:43:13 +0900

erlang-cowboy (0.6.1-2) unstable; urgency=low

  * Update debian/control.
    - Fix Homepage field.
    - Add erlang-proper-dev to Build-Depends.
  * Update debian/rules.
    - Add override_dh_auto_test target.
    - Add override_dh_auto_clean target.
  * Add patches.
    - Fix build with installed rebar package.
    - Fix test error by dependency of make.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 29 Nov 2012 01:23:54 +0900

erlang-cowboy (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #688723)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 17 Jul 2012 15:27:20 +0900

=== debian/control ===
Source: erlang-cowboy
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.4
Homepage: https://github.com/extend/cowboy
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-cowboy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-cowboy.git;a=summary
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:15.b.1),
	erlang-eunit (>= 1:15.b.1), rebar, erlang-proper-dev (>= 1.0), erlang-common-test,
	erlang-dialyzer

Package: erlang-cowboy
Architecture: any
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends},
	 erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
Enhances: erlang
Description: Cowboy is a small, fast and modular HTTP server written in Erlang
 Cowboy is also a socket acceptor pool, able to accept connections
 for any kind of TCP protocol.
 .
 Cowboy aims to provide the following advantages:
 .
   * 'Small' code base.
   * Damn 'fast'.
   * 'Modular': transport and protocol handlers are replaceable.
   * 'Binary HTTP' for greater speed and lower memory usage.
   * Easy to 'embed' inside another application.
   * Selectively 'dispatch' requests to handlers, allowing you to send some
     requests to your embedded code and others to a FastCGI application in
     PHP or Ruby.
   * No parameterized module. No process dictionary. 'Clean' Erlang code.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PACKAGE=cowboy
VERSION = $(shell dpkg-parsechangelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1)

%:
	dh $@

override_dh_auto_test:
	make eunit

override_dh_auto_clean:
	rm -rf logs
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install

	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin/
	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/include
	install -m 644 include/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/include/

override_dh_gencontrol-arch:
	erlang-depends -a
	dh_gencontrol -a

override_dh_compress-arch:
	dh_compress -X.erl -X.beam

## erlang-cowboy 0.8.6%2Bdfsg1

=== debian/changelog ===
erlang-cowboy (0.8.6+dfsg1-1) unstable; urgency=low

  * Remove sourceless javascript (jquery.min.js) from source code.
    (Closes: #727836)
  " Update debian/rules.
    - Remove line for remove jquery.min.js.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 28 Oct 2013 12:00:42 +0900

erlang-cowboy (0.8.6+dfsg-1) unstable; urgency=low

  * New upstream released.
  * Remove unuse patches.
  * Add patches/remove_deps
  * Update debian/chnagelog.
    Refer to common-license file for apache-2.0
  * Update debian/rules.
    - Change to dh-rebar.
    - Update clean target.
  * Update debian/control.
    - Add erlang-ranch and erlang-edoc to Build-Depends.
    - Add erlang-cowboy-doc package.
  * Add debian/README.source.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 20 Oct 2013 09:52:14 +0900

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-cowboy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-cowboy.git;a=summary
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:15.b.1),
-	erlang-eunit (>= 1:15.b.1), rebar, erlang-proper-dev (>= 1.0), erlang-common-test,
-	erlang-dialyzer
+	erlang-eunit (>= 1:15.b.1), dh-rebar, erlang-proper-dev (>= 1.0), erlang-common-test,
+	erlang-ranch (>= 0.8.4), erlang-edoc
 
 Package: erlang-cowboy
 Architecture: any
@@ -17,7 +17,6 @@
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	 erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
-Enhances: erlang
 Description: Cowboy is a small, fast and modular HTTP server written in Erlang
  Cowboy is also a socket acceptor pool, able to accept connections
  for any kind of TCP protocol.
@@ -33,3 +32,49 @@
      requests to your embedded code and others to a FastCGI application in
      PHP or Ruby.
    * No parameterized module. No process dictionary. 'Clean' Erlang code.
+
+Package: erlang-cowboy-examples
+Architecture: all
+Section: devel
+Depends: ${misc:Depends}, libjs-jquery
+Recommends: erlang-cowboy
+Description: Examples for erlang-cowboy
+ Cowboy is also a socket acceptor pool, able to accept connections
+ for any kind of TCP protocol.
+ .
+ Cowboy aims to provide the following advantages:
+ .
+   * 'Small' code base.
+   * Damn 'fast'.
+   * 'Modular': transport and protocol handlers are replaceable.
+   * 'Binary HTTP' for greater speed and lower memory usage.
+   * Easy to 'embed' inside another application.
+   * Selectively 'dispatch' requests to handlers, allowing you to send some
+     requests to your embedded code and others to a FastCGI application in
+     PHP or Ruby.
+   * No parameterized module. No process dictionary. 'Clean' Erlang code.
+ .
+ This package includes erlang-cowboy examples.
+
+Package: erlang-cowboy-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Documentation files for erlang-cowboy
+ Cowboy is also a socket acceptor pool, able to accept connections
+ for any kind of TCP protocol.
+ .
+ Cowboy aims to provide the following advantages:
+ .
+   * 'Small' code base.
+   * Damn 'fast'.
+   * 'Modular': transport and protocol handlers are replaceable.
+   * 'Binary HTTP' for greater speed and lower memory usage.
+   * Easy to 'embed' inside another application.
+   * Selectively 'dispatch' requests to handlers, allowing you to send some
+     requests to your embedded code and others to a FastCGI application in
+     PHP or Ruby.
+   * No parameterized module. No process dictionary. 'Clean' Erlang code.
+ .
+ This package includes erlang-cowboy documents.
+

## erlang-cowboy 0.8.6+dfsg1

=== Makefile ===
# See LICENSE for licensing information.

PROJECT = cowboy

# Options.

COMPILE_FIRST = cowboy_middleware cowboy_sub_protocol
CT_SUITES = eunit http spdy ws
PLT_APPS = crypto public_key ssl

# Dependencies.

DEPS = ranch
TEST_DEPS = ct_helper
dep_ranch = https://github.com/extend/ranch.git 0.8.4
dep_ct_helper = https://github.com/extend/ct_helper.git master

# Standard targets.

include erlang.mk

# Extra targets.

.PHONY: autobahn

autobahn: clean clean-deps deps app build-tests
	@mkdir -p logs/
	@$(CT_RUN) -suite autobahn_SUITE

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_installdocs-indep:
	dh_installdocs

	mv $(CURDIR)/debian/erlang-cowboy-doc/usr/share/doc/erlang-cowboy-doc/doc \
		$(CURDIR)/debian/erlang-cowboy-doc/usr/share/doc/erlang-cowboy-doc/edoc
	rm -rf $(CURDIR)/debian/erlang-cowboy-doc/usr/share/doc/erlang-cowboy-doc/edoc/overview.edoc


override_dh_installexamples-indep:
	dh_installexamples

override_dh_auto_clean:
	rm -rf doc/*.html doc/*.png doc/*.css doc/edoc-info
	rm -rf ebin/*.beam ebin/cowboy.app

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
	 https://github.com/extend/cowboy/tags .*/(?:v||cowboy[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## erlang-cowboy 1.0.0+dfsg1

=== debian/changelog ===
erlang-cowboy (1.0.0+dfsg1-1) unstable; urgency=medium

  * Fix short name of ISC license in d/copyright to keep Lintian happy
  * Bump standards version to 3.9.6 without other changes
  * New upstream version 1.0.0
  * Refresh patches
  * Bump erlang-cowlib and erlang-ranch dependency versions

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 15 Oct 2014 11:50:13 +0200

erlang-cowboy (0.10.0+dfsg1-1) unstable; urgency=medium

  * New upstream released.
  * Mangle DFSG-postfixed upstream versions properly
  * Make uscan remove not DFSG-free files from upstream tarballs
  * Bump standards version, no changes needed
  * Add myself to Uploaders

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 23 Aug 2014 12:19:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: erlang-cowboy
 Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
-Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>,
+	Balint Reczey <balint@balintreczey.hu>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://github.com/extend/cowboy
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-cowboy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-cowboy.git;a=summary
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:15.b.1),
 	erlang-eunit (>= 1:15.b.1), dh-rebar, erlang-proper-dev (>= 1.0), erlang-common-test,
-	erlang-ranch (>= 0.8.4), erlang-edoc
+	erlang-ranch (>= 1.0.0~), erlang-cowlib (>= 1.0.0~), erlang-edoc
 
 Package: erlang-cowboy
 Architecture: any
-Section: devel
-Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends},
-	 erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
+	 erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
+	 erlang-ranch (>= 1.0.0~), erlang-cowlib (>= 1.0.0~)
 Description: Cowboy is a small, fast and modular HTTP server written in Erlang
  Cowboy is also a socket acceptor pool, able to accept connections
  for any kind of TCP protocol.
@@ -35,7 +35,6 @@
 
 Package: erlang-cowboy-examples
 Architecture: all
-Section: devel
 Depends: ${misc:Depends}, libjs-jquery
 Recommends: erlang-cowboy
 Description: Examples for erlang-cowboy

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*// \
	 https://github.com/extend/cowboy/tags .*/(?:v||cowboy[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## erlang-cowboy 2.0.0~pre.1+dfsg1

=== Makefile ===
# See LICENSE for licensing information.

PROJECT = cowboy

# Options.

ERLC_OPTS ?= -Werror +debug_info +warn_export_all +warn_export_vars \
	+warn_shadow_vars +warn_obsolete_guard +warn_missing_spec
COMPILE_FIRST = cowboy_middleware cowboy_sub_protocol
CT_OPTS += -pa test -ct_hooks cowboy_ct_hook []
PLT_APPS = crypto public_key ssl

# Dependencies.

DEPS = cowlib ranch
TEST_DEPS = ct_helper gun
dep_ct_helper = git https://github.com/extend/ct_helper.git master

# Standard targets.

include erlang.mk

# Also dialyze the tests.

# DIALYZER_OPTS += --src -r test

# Documentation.

dep_ezdoc = git https://github.com/ninenines/ezdoc master
$(eval $(call dep_target,ezdoc))

build-doc-deps: $(DEPS_DIR)/ezdoc
	$(MAKE) -C $(DEPS_DIR)/ezdoc

define ezdoc_script
io:format("Building manual~n"),
[begin
	AST = ezdoc:parse_file(F),
	BF = filename:rootname(filename:basename(F)),
	io:format("  ~s~n", [BF]),
	file:write_file("doc/markdown/manual/" ++ BF ++ ".md", ezdoc_markdown:export(AST)),
	case BF of
		"cowboy" ++ _ when BF =/= "cowboy_app" ->
			file:write_file("doc/man3/" ++ BF ++ ".3", ezdoc_man:export(3, AST));
		_ when BF =/= "index" ->
			file:write_file("doc/man7/" ++ BF ++ ".7", ezdoc_man:export(7, AST));
		_ ->
			ok
	end
end || F <- filelib:wildcard("doc/src/manual/*.ezdoc")],
io:format("Building guide~n"),
[begin
	AST = ezdoc:parse_file(F),
	BF = filename:rootname(filename:basename(F)),
	io:format("  ~s~n", [BF]),
	file:write_file("doc/markdown/guide/" ++ BF ++ ".md", ezdoc_markdown:export(AST))
end || F <- filelib:wildcard("doc/src/guide/*.ezdoc")],
io:format("Done.~n"),
init:stop().
endef
export ezdoc_script

docs:: clean-docs build-doc-deps
	@mkdir -p doc/man3 doc/man7 doc/markdown/guide doc/markdown/manual
	$(gen_verbose) erl -noinput -pa ebin deps/ezdoc/ebin -eval "$$ezdoc_script"
	@gzip doc/man3/*.3 doc/man7/*.7
	@cp doc/src/guide/*.png doc/markdown/guide

clean-docs:
	$(gen_verbose) rm -rf doc/man3 doc/man7 doc/markdown

MAN_INSTALL_PATH ?= /usr/local/share/man

install-docs:
	mkdir -p $(MAN_INSTALL_PATH)/man3/ $(MAN_INSTALL_PATH)/man7/
	install -g 0 -o 0 -m 0644 doc/man3/*.gz $(MAN_INSTALL_PATH)/man3/
	install -g 0 -o 0 -m 0644 doc/man7/*.gz $(MAN_INSTALL_PATH)/man7/

=== examples/chunked_hello_world/Makefile ===
PROJECT = chunked_hello_world
DEPS = cowboy
dep_cowboy = git https://github.com/ninenines/cowboy master
include ../../erlang.mk

=== examples/compress_response/Makefile ===
PROJECT = compress_response
DEPS = cowboy
dep_cowboy = git https://github.com/ninenines/cowboy master
include ../../erlang.mk

=== examples/cookie/Makefile ===
PROJECT = cookie
DEPS = cowboy erlydtl
dep_cowboy = git https://github.com/ninenines/cowboy master
include ../../erlang.mk

=== examples/echo_get/Makefile ===
PROJECT = echo_get
DEPS = cowboy
dep_cowboy = git https://github.com/ninenines/cowboy master
include ../../erlang.mk

=== examples/echo_post/Makefile ===
PROJECT = echo_post
DEPS = cowboy
dep_cowboy = git https://github.com/ninenines/cowboy master
include ../../erlang.mk

=== examples/error_hook/Makefile ===
PROJECT = error_hook
DEPS = cowboy
dep_cowboy = git https://github.com/ninenines/cowboy master
include ../../erlang.mk

=== examples/eventsource/Makefile ===
PROJECT = eventsource
DEPS = cowboy
dep_cowboy = git https://github.com/ninenines/cowboy master
include ../../erlang.mk

=== examples/hello_world/Makefile ===
PROJECT = hello_world
DEPS = cowboy
dep_cowboy = git https://github.com/ninenines/cowboy master
include ../../erlang.mk

=== examples/markdown_middleware/Makefile ===
PROJECT = markdown_middleware
DEPS = cowboy
dep_cowboy = git https://github.com/ninenines/cowboy master
include ../../erlang.mk

=== examples/rest_basic_auth/Makefile ===
PROJECT = rest_basic_auth
DEPS = cowboy
dep_cowboy = git https://github.com/ninenines/cowboy master
include ../../erlang.mk

=== examples/rest_hello_world/Makefile ===
PROJECT = rest_hello_world
DEPS = cowboy
dep_cowboy = git https://github.com/ninenines/cowboy master
include ../../erlang.mk

=== debian/changelog ===
erlang-cowboy (2.0.0~pre.1+dfsg1-4) unstable; urgency=medium

  * Fix typo URI of Vcs-Git.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 07 Jun 2018 12:00:12 +0900

erlang-cowboy (2.0.0~pre.1+dfsg1-3) unstable; urgency=medium

  * Update debian/control.
    - Change maintainer address to Debian Erlang Packagers
      <pkg-erlang-devel@lists.alioth.debian.org>. (Closes: #899789)
    - Bump Standards-Version to 4.1.4.
    - Change Vcs-Browser and Vcs-Git to salsa.
    - Update debhelper to 11.
    - Update Homepage field.
  * Update debian/copyright.
    - Update source field.
    - Get rid of lintian 'insecure-copyright-format-uri'.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 01 Jun 2018 08:53:25 +0900

erlang-cowboy (2.0.0~pre.1+dfsg1-2) unstable; urgency=medium

  * Ship erlang.mk for examples (Closes: #815930)
  * Refresh patches

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 02 Aug 2016 13:46:14 +0200

erlang-cowboy (2.0.0~pre.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Rename repacked source to *+dfsg1
  * Refresh patches
  * Update required Erlang version to 17
  * Use cowlib's new API

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 29 Apr 2015 18:07:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: erlang-cowboy
-Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
+Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 	Balint Reczey <balint@balintreczey.hu>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.6
-Homepage: https://github.com/extend/cowboy
-Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-cowboy.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-cowboy.git;a=summary
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:15.b.1),
-	erlang-eunit (>= 1:15.b.1), dh-rebar, erlang-proper-dev (>= 1.0), erlang-common-test,
-	erlang-ranch (>= 1.0.0~), erlang-cowlib (>= 1.0.0~), erlang-edoc
+Standards-Version: 4.1.4
+Homepage: https://github.com/ninenines/cowboy
+Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-cowboy
+Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-cowboy.git
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:17),
+	erlang-eunit (>= 1:17), dh-rebar, erlang-proper-dev (>= 1.0), erlang-common-test,
+	erlang-ranch (>= 1.0.0~), erlang-cowlib (>= 1.3.0~), erlang-edoc
 
 Package: erlang-cowboy
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	 erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
-	 erlang-ranch (>= 1.0.0~), erlang-cowlib (>= 1.0.0~)
+	 erlang-ranch (>= 1.0.0~), erlang-cowlib (>= 1.3.0~)
 Description: Cowboy is a small, fast and modular HTTP server written in Erlang
  Cowboy is also a socket acceptor pool, able to accept connections
  for any kind of TCP protocol.
@@ -76,4 +76,3 @@
    * No parameterized module. No process dictionary. 'Clean' Erlang code.
  .
  This package includes erlang-cowboy documents.
-

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 override_dh_installdocs-indep:
 	dh_installdocs
 
-	mv $(CURDIR)/debian/erlang-cowboy-doc/usr/share/doc/erlang-cowboy-doc/doc \
+	mv $(CURDIR)/debian/erlang-cowboy-doc/usr/share/doc/erlang-cowboy/doc \
 		$(CURDIR)/debian/erlang-cowboy-doc/usr/share/doc/erlang-cowboy-doc/edoc
 	rm -rf $(CURDIR)/debian/erlang-cowboy-doc/usr/share/doc/erlang-cowboy-doc/edoc/overview.edoc
